version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6676fcae7e643224b4cab6093d3a6af21473e2ba8332ad11547d2c70eb4c9101, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6676fcae7e643224b4cab6093d3a6af21473e2ba8332ad11547d2c70eb4c9101, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6676fcae7e643224b4cab6093d3a6af21473e2ba8332ad11547d2c70eb4c9101, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6676fcae7e643224b4cab6093d3a6af21473e2ba8332ad11547d2c70eb4c9101, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6676fcae7e643224b4cab6093d3a6af21473e2ba8332ad11547d2c70eb4c9101, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6676fcae7e643224b4cab6093d3a6af21473e2ba8332ad11547d2c70eb4c9101, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6676fcae7e643224b4cab6093d3a6af21473e2ba8332ad11547d2c70eb4c9101, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6676fcae7e643224b4cab6093d3a6af21473e2ba8332ad11547d2c70eb4c9101, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6676fcae7e643224b4cab6093d3a6af21473e2ba8332ad11547d2c70eb4c9101, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6676fcae7e643224b4cab6093d3a6af21473e2ba8332ad11547d2c70eb4c9101, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
